# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               visualjackm
Version:            0.0+20120307
Release:            2.31
Summary:            Connects ProjectM Visualization with Jack
Source:             visualjackm-20120307.tar.bz2
URL:                https://bitbucket.org/asiniscalchi/visualjackm
Group:              System/Sound Daemons
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
%if 0%{suse_version} <= 1210
BuildRequires:      libprojectM-devel
BuildRequires:      libprojectM-qt-devel
%else
BuildRequires:      projectM-devel
%endif
BuildRequires:      libqjack-devel
BuildRequires:      gcc-c++ cmake make glibc-devel pkgconfig
BuildRequires:      update-desktop-files

%description
This application lets you connect projectM visualization to jack.

%prep
%setup -q -n visualjackm

%build
%__install -d build
pushd build
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
    ..
%__make %{?_smp_mflags}
popd

%install
%__install -D -m0755 build/visualjackm \
    "%{buildroot}%{_bindir}/visualjackm"

%suse_update_desktop_file -c "%{name}" "%{name}" "Connect Jack to ProjectM" visualjackm "" AudioVideo Audio Midi
%__sed -i '/^Icon=/d' "%{buildroot}%{_datadir}/applications/%{name}.desktop"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/visualjackm
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug 23 2012 seife+obs@b1-systems.com
- fix buildrequires for 12.2 (libprojectM-devel -> projectM-devel)
* Fri Jul 20 2012 pascal.bleser@opensuse.org
- initial version (0.0+20120307)
